pamr.indeterminate {pamr} | R Documentation

## A function that takes estimate class probabilities and produces a class prediction or indeterminate prediction

### Description

A function that takes estimate class probabilities and produces a class prediction or indeterminate prediction

### Usage

    pamr.indeterminate(prob, mingap=0)

### Arguments

`prob` | Estimated class probabilities, from pamr.predict with type="posterior")
`mingap` | Minimum difference between highest and second highest probability. If difference is < mingap, prediction is set to indeterminate (NA)

### Details

### Author(s)

Trevor Hastie, Robert Tibshirani, Balasubramanian Narasimhan, and Gilbert Chu

### References

### Examples

    set.seed(120)
    x <- matrix(rnorm(1000*20),ncol=20)
    y <- sample(c(1:4),size=20,replace=TRUE)
    mydata <- list(x=x,y=y)
    mytrain <-   pamr.train(mydata)
    prob<- pamr.predict(mytrain, mydata$x , threshold=1, type="posterior")
    pamr.indeterminate(prob,mingap=.75)

[Package pamr version 1.32.0 Index]